This documentation is automatically generated from the Excalibur
source code on [GitHub](http://github.com/excaliburjs/Excalibur).

If you're just starting out, we recommend reading the tutorials and guides
on [docs.excaliburjs.com](http://docs.excaliburjs.com). If you have questions,
feel free to get help on the [Excalibur.js mailing list](https://groups.google.com/forum/#!forum/excaliburjs).
If you're looking for a specific method or property, you can search the documentation
using the search icon at the top or just start typing.

## Where to Start

These are the core concepts of Excalibur that you should become
familiar with.

- [[Engine|Intro to the Engine]]
  - [[EventDispatcher|Eventing]]
- [[Scene|Working with Scenes]]
  - [[BaseCamera|Working with Cameras]]
- [[Actor|Working with Actors]]
  - [[Label|Labels]]
  - [[Trigger|Triggers]]
  - [[UIActor|UI Actors (HUD)]]
  - [[ActionContext|Action API]]
  - [[Group|Groups]]
- [[Physics|Working with Physics]]

## Working with Resources

Excalibur provides easy ways of loading assets, from images to JSON files.

- [[Loader|Working with the Loader]]
- [[Texture|Loading Textures]]
- [[Sound|Loading Sounds]]
- [[Resource|Loading Generic Resources]]

## Working with Input

Excalibur comes built-in with support for mouse, keyboard, touch, and controllers.

- [[Pointers|Mouse and Touch]]
- [[Keyboard]]
- [[Gamepads|Controller Support]]

## Working with Media

Add sounds, images, and animations to your game.

- [[Sprite|Working with Sprites]]
- [[Sound|Working with Sounds]]
- [[SpriteSheet|Working with SpriteSheets]]
- [[Animation|Working with Animations]]
- [[TileMap|Working with TileMaps]]

## Effects and Particles

Every game needs an explosion or two. Add sprite effects such as lighten,
darken, and colorize.

- [[Effects|Sprite Effects]]
- [[ParticleEmitter|Particle Emitters]]
- [[IPostProcessor|Post Processors]]

## Math

These classes provide the basics for math & algebra operations.

- [[Vector]]
- [[Ray]]
- [[Line]]
- [[Projection]]

## Utilities

- [[Util|Utility Functions]] 
- [[Promise|Promises and Async]]
- [[Logger|Logging]]
- [[Color|Colors]]
- [[Timer|Timers]]